Class WebSocketVerifyHandler
java.lang.Object
io.netty.channel.ChannelHandlerAdapter
io.netty.channel.ChannelInboundHandlerAdapter
com.iohao.net.external.core.netty.handler.WebSocketVerifyHandler
- All Implemented Interfaces:
ExternalSettingAware, io.netty.channel.ChannelHandler, io.netty.channel.ChannelInboundHandler
@Sharable
public class WebSocketVerifyHandler
extends io.netty.channel.ChannelInboundHandlerAdapter
implements ExternalSettingAware
Optional WebSocket handshake verification handler executed before protocol upgrade completion.
- Author:
- 渔民小镇
- date:
- 2023-08-03
-
Nested Class Summary
Nested classes/interfaces inherited from interface io.netty.channel.ChannelHandler
io.netty.channel.ChannelHandler.Sharable -
Field Summary
Fields -
Constructor Summary
Constructors -
Method Summary
Modifier and TypeMethodDescriptionvoidchannelRead(io.netty.channel.ChannelHandlerContext ctx, Object msg) Parse query parameters from the WebSocket request URI.voidsetExternalSetting(ExternalSetting setting) Inject the external setting after it has been assembled.protected booleanverify(SocketUserSession userSession, Map<String, String> params) Verify the WebSocket handshake request.Methods inherited from class io.netty.channel.ChannelInboundHandlerAdapter
channelActive, channelInactive, channelReadComplete, channelRegistered, channelUnregistered, channelWritabilityChanged, exceptionCaught, userEventTriggeredMethods inherited from class io.netty.channel.ChannelHandlerAdapter
ensureNotSharable, handlerAdded, handlerRemoved, isSharableMethods inherited from class Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, waitMethods inherited from interface io.netty.channel.ChannelHandler
handlerAdded, handlerRemoved
-
Field Details
-
userSessions
-
convenientCommunication
-
-
Constructor Details
-
WebSocketVerifyHandler
public WebSocketVerifyHandler()
-
-
Method Details
-
setExternalSetting
Description copied from interface:ExternalSettingAwareInject the external setting after it has been assembled.- Specified by:
setExternalSettingin interfaceExternalSettingAware- Parameters:
setting- external setting for the current server
-
channelRead
-
verify
Verify the WebSocket handshake request.- Parameters:
userSession- user session associated with the Netty channelparams- handshake query parameters- Returns:
- false to reject the handshake and close the connection
-
getParams
-